<?php

namespace xenarabia\postPanel\Entity;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Structure;


class postPanelEntity extends Entity
{
    public static function getStructure(Structure $structure)
    {
        $structure->table = 'xa_posts_panel';
        $structure->shortName = 'xenarabia\postPanel:postPanelEntity';
        $structure->primaryKey = ['user_id', 'node_id'];
        $structure->columns = [
            'user_id' => ['type' => self::UINT],
            'node_id' => ['type' => self::UINT],
            'post_count' => ['type' => self::UINT, 'default' => 0],
            'thread_count' => ['type' => self::UINT, 'default' => 0]
        ];
        $structure->relations = [
            'Node' => [
                'entity' => 'XF:Node',
                'type' => self::TO_ONE,
                'conditions' => [['node_id', '=', '$node_id']],
                'primary' => true
            ]
        ];

        return $structure;
    }
}
