<?php

namespace xenarabia\postPanel;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;


	public function installStep1(array $stepParams = [])
	{
		$this->schemaManager()->createTable(
			'xa_posts_panel',
			function (Create $table) {
				$table->addColumn('user_id', 'mediumint');
				$table->addColumn('node_id', 'smallint');
				$table->addColumn('post_count', 'smallint');
				$table->addColumn('thread_count', 'smallint');
				$table->addPrimaryKey(['user_id', 'node_id']);
			}
		);
	}


	public function uninstall(array $stepParams = [])
	{
		$this->schemaManager()->dropTable('xa_posts_panel');
	}
}
