<?php

namespace xenarabia\postPanel\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Member extends XFCP_Member
{

    public function actionPostsPanel(ParameterBag $params)
    {
        $options = \XF::options();

        // Avoid selscted nodes 
        $avoidNods = $options->pp_forums;
        $limit = $options->pp_limit;

        $userPosts = $this->finder('xenarabia\postPanel:postPanelEntity')->where('user_id', $params->user_id)
            ->where('node_id', '<>', $avoidNods)
            ->limit($limit)
            ->fetch();
        $user = $this->finder('XF:User')->where('user_id', $params->user_id)->fetchOne();

        // \XF::dump($userPosts);
        $viewParams = [
            'user' => $user,
            'userPosts' => $userPosts
        ];

        return $this->view('xenarabia\PostPanel:postPanel', 'xa_postsPanel', $viewParams);
    }


    protected function getPostsPanelRepsitery()
    {
        return $this->repository('xenarabia\postPanel\XF:PostsPanelRepo');
    }
}
